## postgresql-common 184ubuntu1

=== Makefile ===
POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS = pg_conftool.1 \
	    pg_createcluster.1 \
	    pg_ctlcluster.1 \
	    pg_dropcluster.1 \
	    pg_lsclusters.1 \
	    pg_renamecluster.1 \
	    pg_upgradecluster.1 \
	    pg_wrapper.1
POD1PROGS_POD = pg_buildext.1 \
		pg_virtualenv.1 \
		dh_make_pgxs/dh_make_pgxs.1
POD8PROGS = pg_updatedicts.8

all: man

man: $(POD1PROGS) $(POD1PROGS_POD) $(POD8PROGS)

%.1: %.pod
	$(POD2MAN) --quotes=none --section 1 $< $@

%.1: %
	$(POD2MAN) --quotes=none --section 1 $< $@

%.8: %
	$(POD2MAN) --quotes=none --section 8 $< $@

clean:
	rm -f *.1 *.8 dh_make_pgxs/*.1

=== debian/changelog ===
postgresql-common (184ubuntu1) artful; urgency=medium

  * Fix umask in pg_updatedicts, without which /var/cache/postgresql
    may be created with permissions that leave it inaccessible to postgresql
    itself.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 04 Aug 2017 16:59:24 -0700

postgresql-common (184) unstable; urgency=high

  * debian/maintscripts-functions: Use deb-systemd-invoke instead of
    invoke-rc.d to stop "postgresql@$ver-*"; jessie's invoke-rc.d does not
    support service patterns.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jul 2017 20:19:21 +0200

postgresql-common (183) unstable; urgency=medium

  * Team upload.

  [ Nishanth Aravamudan ]
  * debian/supported-versions: add Ubuntu 17.10. (Closes: #862420)

  [ Bernd Helmle ]
  * postgresql-common.spec: Fix installation path of manpages.

  [ Alex Badics ]
  * pg_ctlcluster: Use pg_ctl.conf during stop too.

  [ Christoph Berg ]
  * PgCommon.pm: Sort get_versions and get_version_clusters output.
  * PgCommon.pm: Revert to old quote_conf_value behavior, the new regexp was
    too liberal. The new input behavior is retained, though.
  * pg_ctlcluster: Error out if a recovery.conf file is found in
    /etc/postgresql to catch a common mistake. (Closes: #853868)
  * pg_upgradecluster: Allow configuring the maintenance database.
    (Closes: #851874)
  * pg_upgradecluster: Pass config directory to pg_upgrade instead of
    symlinking the config files. This breaks using "-m upgrade" for upgrades
    *to* versions before 9.2; upgrades from older versions are unaffected.
  * pg_upgradecluster, pg_renamecluster: Use default pg_ctl timeout when
    stopping cluster.
  * pg_dropcluster: Remove custom xlog directory. (Closes: #830789)
  * pg_createcluster, pg_ctlcluster: cd / to prevent warnings from PostgreSQL
    tools. (Closes: #834264)
  * pg_wrapper: Don't fail if no local cluster exists on port 5432.
    Code cleanup. (Closes: #777623)
  * pg_lsclusters: --start-conf shows start.conf information.
  * createcluster.conf: Add add_include_dir='conf.d' for drop-in PostgreSQL
    config snippets in /etc/postgresql/version/cluster/conf.d/ and
    include_dir='/etc/postgresql-common/createcluster.d' for pg_createcluster
    config snippets.
  * t/051_inconsistent_encoding_upgrade.t: Remove, only relevant for <= 8.2.
  * logrotate config: Ship as static conffile again and remove ucf handling.
  * pg_conftool: Fix operation when no cluster exists yet.
  * pg_conftool: --boolean normalizes boolean variable in output; use this in
    debian/maintscripts-functions.
  * debian/maintscripts-functions: Unconditionally call invoke-rc.d, and drop
    path names from program invocations (Standards-Version 4.0.0).
  * debian/maintscripts-functions: Use 'invoke-rc.d "postgresql@$ver-*" stop'
    to prevent upgrading/removing server packages from stopping other major
    version clusters when running systemd. (Closes: #809811)
  * debian/maintscripts-functions: Avoid update-alternatives failing if the
    user removed /usr/share/man. (Closes: #866729)
  * t/TestLib.pm: Vacuum tests left behind when postmaster and pg_autovacuum
    were removed. Update test counts in *.t.
  * B-D on debhelper (>= 10.1) | dh-systemd (>= 1.19) to pick up
    dh_systemd_start.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 05 Jul 2017 16:15:48 +0200

postgresql-common (182) experimental; urgency=medium

  * Team upload.
  * pg_buildext: Resurrect the previously deprecated "srcdir" mode to allow
    building packages from a subdirectory, and make "loop" support it as well.
  * t/001_packages.t: PostgreSQL 10 doesn't have a separate contrib package.
  * t/020_create_sql_remove.t: Use CREATE EXTENSION, createlang is being
    removed.
  * t/120_pg_upgradecluster_scripts.t: Don't try to rename
    pg_upgradecluster.d, fails on overlayfs.
  * pg_lsclusters, t: pg_log directory name changed in 10.
  * pg_lsclusters: Allow listing one version or one cluster only.
  * pg_lsclusters: Support JSON output, suggest libjson-perl for that.
  * pg_createcluster, createcluster.conf: Update for --waldir rename.
  * pg_createcluster: Do not suppress initdb output, and use pg_lsclusters to
    show created cluster info.
  * pg_ctlcluster: Suppress "Redirecting to systemctl message".
  * pg_upgradecluster: Deprecate min_parallel_relation_size and
    sql_inheritance in 10.
  * Symlink /usr/bin/pg_receivewal to pg_wrapper.
  * PgCommon.pm: Include postgresql.conf in cluster_info and remove variables
    directly copied from config; adjust callers.
  * PgCommon.pm: Allow more characters in unquoted config values.
    Spotted by Fabien Coelho, merci!
  * postgresql-server-dev-all: dh_make_pgxs: Template mechanism for new
    Debian packages based on PGXS Makefiles.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 11 May 2017 14:01:59 +0200

## postgresql-common 184ubuntu1.1

=== debian/changelog ===
postgresql-common (184ubuntu1.1) artful-security; urgency=medium

  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Nov 2017 08:06:51 -0500

=== debian/control ===
Source: postgresql-common
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
Standards-Version: 4.0.0
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git
Build-Depends:
 debhelper (>= 9),
 debhelper (>= 10.1) | dh-systemd (>= 1.19),
 libreadline-dev,
 lsb-release,

Package: postgresql-common
Architecture: all
Multi-Arch: foreign
Conflicts:
 postgresql-7.4,
 postgresql-8.0,
Depends:
 adduser,
 debconf (>= 0.5.00) | debconf-2.0,
 lsb-base (>= 3.0-3),
 postgresql-client-common (= ${source:Version}),
 procps,
 ssl-cert (>= 1.0.11),
 ucf,
 ${misc:Depends},
Recommends:
 logrotate,
Suggests:
 libjson-perl,
Breaks:
 postgresql-9.1 (<< 9.1.1-3~),
 systemd (<< 204),
Description: PostgreSQL database-cluster manager
 The postgresql-common package provides a structure under which
 multiple versions of PostgreSQL may be installed and/or multiple
 clusters maintained at one time.
 .
 The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
 pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
 pg_virtualenv.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-client-common
Architecture: all
Multi-Arch: foreign
Depends:
 netbase,
 ${misc:Depends},
 ${pgdg:Depends},
Recommends:
 lsb-release,
 ${readline:Recommends},
Description: manager for multiple PostgreSQL client versions
 The postgresql-client-common package provides a structure under which
 multiple versions of PostgreSQL client programs may be installed at
 the same time. It provides a wrapper which selects the right version
 for the particular cluster you want to access (with a command line
 option, an environment variable, /etc/postgresql-common/user_clusters,
 or ~/.postgresqlrc).
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-server-dev-all
Architecture: all
Depends:
 dctrl-tools,
 iproute2 | net-tools,
 lsb-release,
 make,
 postgresql-common (>= 117~),
 ${misc:Depends},
 ${server-dev-all-depends},
Description: extension build tool for multiple PostgreSQL versions
 The postgresql-server-dev-all package provides the pg_buildext script for
 simplifying packaging of a PostgreSQL extension supporting multiple major
 versions of the product.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql
Architecture: all
Depends:
 postgresql-${default-version},
 ${misc:Depends},
Suggests:
 postgresql-doc,
Description: object-relational SQL database (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database server version.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Multi-Arch: foreign
Depends:
 postgresql-client-${default-version},
 ${misc:Depends},
Description: front-end programs for PostgreSQL (supported version)
 This metapackage always depends on the currently supported database
 client package for PostgreSQL.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 postgresql-doc-${default-version},
 ${misc:Depends},
Description: documentation for the PostgreSQL database management system
 This metapackage always depends on the currently supported PostgreSQL
 database documentation package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-contrib
Architecture: all
Depends:
 postgresql-contrib-${default-version},
 ${misc:Depends},
Description: additional facilities for PostgreSQL (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database contrib package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-all
Architecture: all
Depends:
 libecpg-dev,
 libpq-dev,
 postgresql-server-dev-all,
 ${postgresql-all-depends},
 ${misc:Depends},
Description: metapackage depending on all PostgreSQL server packages
 This metapackage depends on all PostgreSQL server packages, in all
 supported versions (excluding documentation and debug symbols). It
 exists to facilitate depending on the server packages in test
 environments.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

=== dh_make_pgxs/debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-@SOURCE@

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@

## postgresql-common 190

=== debian/changelog ===
postgresql-common (190) unstable; urgency=medium

  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Feb 2018 13:26:44 +0100

postgresql-common (189) unstable; urgency=medium

  [ Chris Lamb ]
  * Update README.Debian for postgresql-10. (Closes: #876438)

  [ Christoph Berg ]
  * dh_make_pgxs: Use PostgreSQL license as default, fix extension name.
  * Modernize README.Debian's version numbers and SSL instructions.
  * postgresql@.service: Ignore startup failure, recovery might take
    arbitrarily long to finish. The actual service status still correctly
    reflects if the postmaster process is running.
    https://www.postgresql.org/message-id/20171111205316.u56lkmkakdmcx6zm%40msg.df7cb.de
  * supported-versions: Version 10 on Ubuntu 18.04 (bionic). (Closes: #881501)
  * debian/maintscripts-functions: bump update-alternatives priority of
    version 1x to 1x0.
  * Unsupport 9.2 on apt.postgresql.org.
  * t/140_pg_config.t: Also test /usr/bin/pg_config.libpq-dev, and check
    MKDIR_P and abs_top_build/srcdir in Makefile.global.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Dec 2017 21:13:24 +0100

postgresql-common (188) unstable; urgency=medium

  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
    CVE-2016-1255.)
  * dh_make_pgxs: Add options to set package name and version.
  * pg_lsclusters: Raise error when called on a specific cluster that does not
    exist. This was the behavior before the "accept dead postgresql.conf
    symlinks" change, but not coded explicitly.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 08 Nov 2017 16:03:19 +0100

postgresql-common (187) unstable; urgency=medium

  * Consistently call psql -X. (Closes: #877920)
  * Update pt translation, thanks Ricardo Silva! (Closes: #872430)
  * pg_virtualenv: Drop "BUG" message that really just means that
    pg_createcluster threw an error.
  * pg_createcluster: Drop new cluster if --start was requested and starting
    fails.
  * pg_createcluster: If not running as postgres or root, don't attempt to
    install config and data parent directories with owner postgres.
  * pg_lsclusters, postgresql-generator, get_version_clusters, cluster_info,
    read_conf_file: Accept dead postgresql.conf symlinks, filesystem might not
    be mounted yet.
  * pg_virtualenv: Fix version comparison when determining newest PG major.
  * pg_updatedicts, postgresql-common.postinst: Create tsearch dictionaries on
    first install and set umask for correct permissions. (Closes: #868232)
    Thanks to Christian Ehrhardt for the analysis!
  * Demote postgresql-common hunspell/myspell triggers to noawait.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Oct 2017 20:44:38 +0200

postgresql-common (186) unstable; urgency=medium

  * Team upload.
  * Bump default apt.postgresql.org version to 10.
  * t/020_create_sql_remove.t: Support 8.x xlog filenames.
  * Update ca translation, thanks Innocent De Marchi! (Closes: #876472)
  * PgCommon.pm: Use BSD ps syntax in check_pidfile_running.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 05 Oct 2017 16:04:18 +0200

postgresql-common (185) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Revert "Error out if a recovery.conf file is found in /etc/postgresql".
    It caused too many false positives for setups where a recovery.conf
    template is located in the etc directory. (Closes: #868367)
  * Bump default PostgreSQL version to 10.

  [ Marco Nenciarini ]
  * supported-versions: correctly detect version 10 when using 'installed'.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 12:07:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
-Standards-Version: 4.0.0
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git
+Standards-Version: 4.1.2
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),
  debhelper (>= 10.1) | dh-systemd (>= 1.19),
@@ -32,6 +31,7 @@
  ucf,
  ${misc:Depends},
 Recommends:
+ e2fsprogs,
  logrotate,
 Suggests:
  libjson-perl,

=== dh_make_pgxs/debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	# nothing to do here, see debian/tests/* instead
 
 override_dh_auto_install:
-	+pg_buildext install build-%v postgresql-%v-@SOURCE@
+	+pg_buildext install build-%v postgresql-%v-@EXTNAME@
 
 override_dh_installdocs:
 	dh_installdocs --all README.*

## postgresql-common 190ubuntu0.1

=== Makefile ===
--- 
+++ 
@@ -27,3 +27,25 @@
 
 clean:
 	rm -f *.1 *.8 dh_make_pgxs/*.1
+
+# rpm
+
+DPKG_VERSION=$(shell sed -ne '1s/.*(//; 1s/).*//p' debian/changelog)
+RPMDIR=$(HOME)/rpmbuild
+TARBALL=$(RPMDIR)/SOURCES/postgresql-common_$(DPKG_VERSION).tar.xz
+
+rpmbuild: $(TARBALL)
+	rpmbuild --define='version $(DPKG_VERSION)' -ba rpm/postgresql-common.spec
+
+$(TARBALL):
+	mkdir -p $(dir $(TARBALL))
+	git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL)
+
+rpminstall:
+	sudo rpm --upgrade --replacefiles --replacepkgs -v $(RPMDIR)/RPMS/noarch/*-$(DPKG_VERSION)-*.rpm
+
+rpmremove:
+	-sudo rpm -e postgresql-common postgresql-client-common postgresql-server-dev-all
+
+rpmclean:
+	rm -rf $(TARBALL) $(RPMDIR)/BUILD

=== debian/changelog ===
postgresql-common (190ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Privilege Escalation via Arbitrary Directory Creation
    - pg_ctlcluster: Drop privileges before creating socket and stats temp
      directories outside /var/run/postgresql. The default configuration is
      not affected by this change. Users with directories on volatile
      storage (tmpfs) in other locations have to make sure the parent
      directory is writable for the cluster owner.
    - Thanks to Rich Mirch and Christoph Berg.
    - CVE-2019-3466

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Nov 2019 10:21:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

## postgresql-common 190ubuntu0.1+9.0trisquel1

=== debian/changelog ===
postgresql-common (190ubuntu0.1+9.0trisquel1) etiona-security; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 23:48:56 +0000

## postgresql-common 191.pgdg70%2B1

=== debian/changelog ===
postgresql-common (191.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-postgresql-common-source-
    distribution=wheezy-299,
    9c883ef81e2545888b6cc5d484fc68e6f52bc38b/git) Remove systemd
    dependency

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 10 May 2018 16:46:10 +0200

postgresql-common (191) unstable; urgency=medium

  [ Christoph Berg ]
  * PgCommon cluster_data_directory: Support clusters in and symlinked from
    /etc/postgresql/.
  * t/170_extensions.t: Add dependencies of jsonb_pl{perl,python}.

  [ Christian Ehrhardt ]
  * supported-versions: Add Ubuntu 18.10. (Closes: #898166)

 -- Christoph Berg <myon@debian.org>  Thu, 10 May 2018 16:44:19 +0200

## postgresql-common 193

=== debian/changelog ===
postgresql-common (193) unstable; urgency=medium

  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)

  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Aug 2018 12:57:46 +0200

postgresql-common (192) unstable; urgency=medium

  * postgresql@.service: Use AssertPathExists instead of ConditionPathExists
    so trying to operate on non-existing clusters fails loudly.
    (Closes: #891836)
  * postgresql@.service: Add "RequiresMountsFor /etc/postgresql/%I
    /var/lib/postgresql/%I" to depend on mounts.
  * pg_createcluster: Fix error on importing existing clusters, spotted by
    Mark Eichin, thanks! (Closes: #886871)
  * postinst_check_catversion: Ignore errors while determining PGDATA.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 08 Aug 2018 16:21:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

## postgresql-common 199

=== debian/changelog ===
postgresql-common (199) unstable; urgency=medium

  [ Antti Salmela ]
  * pg_upgradecluster: Pass --jobs to pg_upgrade when using upgrade method.

  [ Christoph Berg ]
  * supported-versions: Drop support for 9.3 on apt.postgresql.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 28 Jan 2019 16:27:27 +0100

postgresql-common (198) unstable; urgency=medium

  [ Christoph Berg ]
  * Add gitlab-ci.yml file to be included in all PostgreSQL team packages.
  * testsuite: Stop postgresql@* explicitly. (Workaround for #759725)

  [ Michael Banck ]
  * pg_buildext: Add support for passing Makefile variables via the new -m
    option. (Closes: #915953)

 -- Christoph Berg <myon@debian.org>  Sun, 16 Dec 2018 11:55:10 +0100

postgresql-common (197) unstable; urgency=medium

  * dh_make_pgxs: Update Maintainer address and package URLs.
  * pg_buildext: Fix problem with substitution pattern occurring multiple
    times.
  * pg_buildext: Set PG_REGRESS_DIFF_OPTS for unified diffs from pg_regress.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 22 Nov 2018 11:59:06 +0100

postgresql-common (196) unstable; urgency=medium

  [ Christoph Berg ]
  * Replace version 10 in examples by version 11. (Closes: #911391)
  * Replace -X.Y version number template in examples by -NN.
  * Updated Turkish translation by Atila Koç, thanks! (Closes: #912322)
  * read_conf_file: Accept '+' in unquoted values for floats like 1.5+e3.
    Thanks to David Barbion for spotting!
  * pg_buildext: Handle multiple overlapping substitutions in
    debian/tests/control.in better.

  [ Jeremy Bicha ]
  * Add Ubuntu 19.04 aka disco.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 21 Nov 2018 12:32:11 +0100

postgresql-common (195) unstable; urgency=medium

  * apt.postgresql.org: Add 11 as default to supported versions.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 18 Oct 2018 13:53:47 +0200

postgresql-common (194) unstable; urgency=medium

  * Remove iproute2 | net-tools dependency from postgresql-server-dev-all,
    obsolete in pg_buildext since 178.
  * Also save pg_controldata on catversion changes, pg_upgrade needs it.
    Spotted by Dagfinn Ilmari Mannsåker, thanks!
  * Chown /etc/postgresql to user postgres.
  * pg_ctlcluster: Use "fast" shutdown by default, and remove code to kill -9
    the server if it doesn't react to a --force stop. (Closes: #756008)
  * pg_upgradecluster: Start upgraded cluster only if it was running before,
    override with new --[no-]start option. (Closes: #876281)
  * pg_upgradecluster: With pg_upgrade, set wal_level early so standby servers
    can be upgraded via the instructions from pg_upgrade(1). (Closes: #876293)
  * pg_upgradecluster: Notify systemd about disabling the old cluster.
  * pg_upgradecluster: Drop sleep(4) that had been there since the first
    version.
  * pg_createcluster: Create stats_temp_directory, so pg_upgrade(cluster) can
    use it even without invoking pg_ctlcluster before. (Closes: #827469)
  * pg_upgradecluster: Drop check for pg_restore --no-data-for-failed-tables,
    switch was introduced in 8.2; use it always and not only when upgrade
    scripts are present. (Closes: #876282)
  * Debian: Default PostgreSQL version in buster is 11.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 11 Oct 2018 17:29:41 +0200

=== debian/control ===
--- 
+++ 
@@ -83,7 +83,6 @@
 Architecture: all
 Depends:
  dctrl-tools,
- iproute2 | net-tools,
  lsb-release,
  make,
  postgresql-common (>= 117~),

## postgresql-common 199ubuntu0.1

=== debian/changelog ===
postgresql-common (199ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Privilege Escalation via Arbitrary Directory Creation
    - pg_ctlcluster: Drop privileges before creating socket and stats temp
      directories outside /var/run/postgresql. The default configuration is
      not affected by this change. Users with directories on volatile
      storage (tmpfs) in other locations have to make sure the parent
      directory is writable for the cluster owner.
    - Thanks to Rich Mirch and Christoph Berg.
    - CVE-2019-3466

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Nov 2019 10:21:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

## postgresql-common 200pureos1

=== debian/changelog ===
postgresql-common (200pureos1) green; urgency=medium

  * Fork for PureOS:
    + Set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer.
    + Drop uploaders (package is team-maintained for PureOS).
    + Replace Vcs-* fields.
    + Add git-buildpackage config:
      - Set branches.
      - Use purism/* namespace for release tags.
      - Avoid use pristine-tar.
      - Sign tags.
    + Add README.source.
  * Detect PureOS releases (similar to Debian testing/unstable).
    Closes: PureOS:T261.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 May 2019 13:45:51 +0200

postgresql-common (200) unstable; urgency=medium

  * pg_createcluster: Don't refuse explicit -p argument even when port is
    already in use. (Closes: #653870)
  * pg_createcluster: Override suggested cluster start command in initdb.
    (Closes: #872660)
  * pg_upgradecluster, t/052_upgrade_encodings.t: pg_dumpall 11 retains the
    database encoding, so switching encodings via dump-restore does not work
    anymore.
  * pg_upgradecluster: Deprecate 'replacement_sort_tuples' in version 11.
  * pg_upgradecluster: Migrate postgresql.auto.conf to new cluster.
    (Closes: #810615)
  * pg_ctlcluster: Die early if logfile is not available. (Closes: #891234)
  * pg_ctlcluster: Die early if pg_ctl cannot be found. (See: #918784)
  * pg_ctlcluster: Document --skip-systemctl-redirect, and skip redirect if
    --foreground is requested.
  * pg_renamecluster: Notify systemd. (Closes: #839954)
  * pg_renamecluster: Document that cluster_name is updated as well.
  * pg_dropcluster: Delete tablespace directories. (Closes: #916449)
  * pg_dropcluster: Silence warning if data_directory is already gone.
    Spotted by Jean-Christophe Arnu, merci!
  * get_cluster_port: Fall back to 5432 if port is not defined in config.
    (Closes: #920248)
  * read_cluster_conf_file: Use cluster_data_directory instead of hardcoding
    /var/lib/postgresql.
  * postgresql@.service: Add After=network.target to ensure the server is
    stopped before networking goes down on shutdown. Thanks Elrond!
    (Closes: #910991)
  * postgresql@.service: Drop /var prefix from PIDFile, systemd complained
    about legacy directory /var/run/postgresql.
  * postgresql-generator: Don't attempt to auto-start removed versions.
    (Closes: #918784)

 -- Christoph Berg <myon@debian.org>  Fri, 01 Mar 2019 20:47:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,20 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
 XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders:
- Martin Pitt <mpitt@debian.org>,
- Christoph Berg <myon@debian.org>,
- Peter Eisentraut <petere@debian.org>,
-Standards-Version: 4.1.2
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
-Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
+Standards-Version: 4.3.0
 Build-Depends:
  debhelper (>= 9),
  debhelper (>= 10.1) | dh-systemd (>= 1.19),
  libreadline-dev,
  lsb-release,
+Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
+Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all
 Multi-Arch: foreign
-Conflicts:
- postgresql-7.4,
- postgresql-8.0,
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,

## postgresql-common 200%2Bdeb10u4%2Brebuild

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders:
+ Martin Pitt <mpitt@debian.org>,
+ Christoph Berg <myon@debian.org>,
+ Peter Eisentraut <petere@debian.org>,
 Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),
  debhelper (>= 10.1) | dh-systemd (>= 1.19),
  libreadline-dev,
  lsb-release,
-Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
-Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all

## postgresql-common 200+deb10u1

=== debian/changelog ===
postgresql-common (200+deb10u1) unstable; urgency=medium

  * When upgrading from stretch to buster, all text indexes need to be
    reindexed. Warn users about that in NEWS.Debian.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Apr 2019 14:32:52 +0200

## postgresql-common 200+deb10u3

=== debian/changelog ===
postgresql-common (200+deb10u3) buster-security; urgency=medium

  * pg_ctlcluster: Drop privileges before creating socket and stats temp
    directories outside /var/run/postgresql. The default configuration is not
    affected by this change. Users with directories on volatile storage
    (tmpfs) in other locations have to make sure the parent directory is
    writable for the cluster owner. (CVE-2019-3466, discovered by Rich Mirch)

 -- Christoph Berg <myon@debian.org>  Tue, 12 Nov 2019 15:00:36 +0100

postgresql-common (200+deb10u2) buster; urgency=high

  DATA LOSS WARNING: pg_upgradecluster from postgresql-common 200,
  200+deb10u1, 201, and 202 will corrupt the data_directory setting when used
  *twice* to upgrade a cluster (e.g. 9.6 -> 10 -> 11). This update fixes the
  original problem, and also heals affected clusters on the next upgrade. No
  additional steps are required.

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=931635

  * pg_upgradecluster: Don't accidentally set (the wrong!) data_directory in
    postgresql.auto.conf. (Closes: #931635)
  * PgCommon.pm: Ignore data_directory when set in postgresql.auto.conf.
  * pg_upgradecluster: Delete data_directory from postgresql.auto.conf in new
    cluster.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Jul 2019 23:04:54 +0200

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(VERSION)),)
	FLAVOR := pgdg
	# for apt.postgresql.org builds, pull in the repository key package
	PGDG_DEPENDS := pgdg-keyring
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)

WITH_SYSTEMD=--with systemd

%:
	dh $@ $(WITH_SYSTEMD)

override_dh_auto_configure:
	@echo "### Building postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"

override_dh_install:
	dh_install
	$(MAKE) -C systemd install DESTDIR=$(CURDIR)/debian/postgresql-common
	install -m 644 -D debian/postgresql-common.sysctl debian/postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
	/bin/echo -e "# See /usr/share/postgresql-common/supported-versions for documentation of this file\n$(FLAVOR)" > debian/postgresql-client-common/etc/postgresql-common/supported_versions

override_dh_installinit:
	dh_installinit --name=postgresql -u'defaults 19 21' -r

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -ppostgresql-all -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}' \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,postgresql-plpython-$v,postgresql-plpython3-$v,postgresql-pltcl-$v,)"

	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)

	dh_gencontrol --remaining-packages

## postgresql-common 200+deb10u3+nmu1

=== debian/changelog ===
postgresql-common (200+deb10u3+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:32:30 +0800

## postgresql-common 200+deb10u4

=== debian/changelog ===
postgresql-common (200+deb10u4) buster; urgency=medium

  * t/170_extensions.t: Don't drop plpgsql before testing extensions.
    A recent security fix in the PostgreSQL server (CVE-2020-14350) makes use
    of plpgsql DO blocks in various extension creation scripts without
    declaring a formal dependency on it, so change tests not to drop plpgsql.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Aug 2020 14:54:15 +0200

## postgresql-common 200+deb10u4+rebuild

=== systemd/Makefile ===
install:
	install -d $(DESTDIR)/lib/systemd/system-generators/ $(DESTDIR)/lib/systemd/system/
	install postgresql-generator $(DESTDIR)/lib/systemd/system-generators/
	install -m644 postgresql*.service $(DESTDIR)/lib/systemd/system/

reload: install
	systemctl daemon-reload

=== debian/changelog ===
postgresql-common (200+deb10u4+rebuild) buster; urgency=medium

  * t/170_extensions.t: Don't drop plpgsql before testing extensions.
    A recent security fix in the PostgreSQL server (CVE-2020-14350) makes use
    of plpgsql DO blocks in various extension creation scripts without
    declaring a formal dependency on it, so change tests not to drop plpgsql.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Aug 2020 14:54:15 +0200

## postgresql-common 200+deb10u5

=== debian/changelog ===
postgresql-common (200+deb10u5) buster; urgency=medium

  * pg_virtualenv: Write temporary password file before chowning the file.
    (Closes: #933569)
  * t/135_pg_virtualenv.t: Import test from master.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Jun 2022 13:11:44 +0200

## postgresql-common 203

=== debian/changelog ===
postgresql-common (203) unstable; urgency=medium

  DATA LOSS WARNING: pg_upgradecluster from postgresql-common 200 .. 202 will
  corrupt the data_directory setting when used *twice* to upgrade a cluster
  (e.g. 9.6 -> 10 -> 11). This update fixes the original problem, and also
  heals affected clusters on the next upgrade. No additional steps are required.

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=931635

  * pg_createcluster: Allow clusters with owner gid 0. (salsa-ci uses that.)
  * pg_createcluster: If there are --auth options in createcluster.conf's
    initdb_options, don't update pg_hba.conf.
  * pg_upgradecluster: Don't accidentally set (the wrong!) data_directory in
    postgresql.auto.conf. (Closes: #931635)
  * PgCommon.pm: Ignore data_directory when set in postgresql.auto.conf.
  * pg_upgradecluster: Delete data_directory from postgresql.auto.conf in new
    cluster.
  * pg_upgradecluster: Use a tempfile instead of replacing the original
    pg_hba.conf file during upgrades.
  * pg_upgradecluster: With --keep-port, leave old cluster on original port.
    (Closes: #507133)
  * pg_ctlcluster: For consistency with systemctl, also accept action before
    cluster name: "pg_ctlcluster start 11 main".
  * pg_ctlcluster: Use `psql -w` to avoid flooding the log with errors when
    the cluster was configured for password authentication on local
    connections. Patch by Evgeny, thanks!
  * debian/tests: Do full testsuite run. Previously the full testsuite was
    only running from the postgresql-NN server package.
  * t/135_pg_virtualenv.t: Don't fail if fakeroot is not present.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Jul 2019 16:16:57 +0200

postgresql-common (202) unstable; urgency=medium

  * pg_ctlcluster: Close extra log filedescriptor. Thanks Andrey Borodin!
    (Closes: #930728)
  * pg_virtualenv: Disable fakeroot while creating clusters so we don't end up
    running as root.
  * t/135_pg_virtualenv.t: New test file.
  * t/TestLib.pm: Restrict check_clean to LISTENing sockets.
  * gitlab/gitlab-ci.yml: Run blhc; fail on lintian errors.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Jul 2019 14:39:56 +0200

postgresql-common (201) experimental; urgency=medium

  [ Christoph Berg ]
  * Disable ssl on older server versions. (Versions up to 9.1 support
    OpenSSL 1.0 only, which has been removed from Debian unstable.)
  * pg_upgrade: Fix 'sameuser' handling in pg_hba when upgrading from pre-8.4
    versions.
  * gitlab/gitlab-ci.yml: Ignore skipped tests, and packages without tests; install
    pristine-tar; install via dh_make_pgxs.
  * Move .gitlab-ci.yml to debian/gitlab-ci.yml; add buster and stretch,
  * remove jessie. (Not to be confused with gitlab/gitlab-ci.yml.)
  * dh_make_pgxs: Set debhelper compat level to 9, highest version supported
    by jessie and trusty.

  [ Andreas Hasenack ]
  * Set Ubuntu 19.10 default PostgreSQL version to 11.

 -- Christoph Berg <myon@debian.org>  Thu, 09 May 2019 10:02:05 +0200

## postgresql-common 204

=== debian/changelog ===
postgresql-common (204) unstable; urgency=medium

  * dh_installinit: Add -ppostgresql-common to work around debhelper #932073.
  * dh_make_pgxs: Add debian/watch template (with a github pattern).
  * pgdg/apt.postgresql.org.sh: Add options to choose PostgreSQL version, and
    to optionally install packages automatically.
  * Move pg_buildext from postgresql-server-dev-all to postgresql-common. Many
    use-cases do not need the header files and compiler dependencies
    installed.
  * debian/supported-versions: Use PG11 on Bullseye.
  * pg_virtualenv: Write temporary password file before chowning the file.
    (Closes: #933569)

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2019 12:48:00 +0200

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,10 @@
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
  systemd (<< 204),
+# pg_buildext moved pg-s-d-all in 204
+ postgresql-server-dev-all (<< 204),
+Replaces:
+ postgresql-server-dev-all (<< 204),
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple

## postgresql-common 204ubuntu0.1

=== debian/changelog ===
postgresql-common (204ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Privilege Escalation via Arbitrary Directory Creation
    - pg_ctlcluster: Drop privileges before creating socket and stats temp
      directories outside /var/run/postgresql. The default configuration is
      not affected by this change. Users with directories on volatile
      storage (tmpfs) in other locations have to make sure the parent
      directory is writable for the cluster owner.
    - Thanks to Rich Mirch and Christoph Berg.
    - CVE-2019-3466

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Nov 2019 10:15:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	/bin/echo -e "# See /usr/share/postgresql-common/supported-versions for documentation of this file\n$(FLAVOR)" > debian/postgresql-client-common/etc/postgresql-common/supported_versions
 
 override_dh_installinit:
-	dh_installinit --name=postgresql -u'defaults 19 21' -r
+	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' -r
 
 override_dh_gencontrol:
 	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

=== debian/tests/control ===
Tests: default-psql
Depends: postgresql
Restrictions: needs-root

Tests: run-testsuite
Depends: postgresql-all, build-essential, fakeroot, perl, hunspell-en-us, locales, netcat-openbsd, net-tools, logrotate
Restrictions: needs-root

## postgresql-common 204.pgdg90%2B1

=== debian/changelog ===
postgresql-common (204.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Aug 2019 12:48:00 +0200
